**TOC Election Schedule v1.0**

This page looks at the elections for the CNCF’s Technical Oversight Committee (TOC) over the next several years. There are no policy changes proposed, but a specific schedule is suggested to implement the staggered elections required by the charter.

The key sections of the [charter](https://www.cncf.io/about/charter/) are:

>6(b)(iii) The Governing Board shall elect six (6) TOC members, the End User TAB shall elect one (1) TOC member and the initial seven TOC members shall elect an additional two (2) TOC members.

>6(c)(i) The TOC shall select a Chair of the TOC to set agendas and call meetings of the TOC.

>6(e)(ii) Nominations: Each CNCF member may nominate up to two (2) technical representatives, (from vendors, end users or any other fields), at most one of which may be from their respective company. The nominee(s) must agree to participate prior to being added to the nomination list.

>6(f)(i) TOC Members shall serve two-year, staggered terms. The initial six elected TOC members from the Governing Board election shall serve an initial term of three (3) years. The TOC members initially elected by the End User TAB and TOC shall serve an initial term of two (2) years.

Current TOC [Members](https://github.com/cncf/toc#members) and their terms are:

* Jonathan Boulle (term: 3 years - start date: 1/29/2016) [GB appointed]
* Bryan Cantrill (term: 3 years - start date: 1/29/2016) [GB appointed]
* Camille Fournier (term: 3 years - start date: 1/29/2016) [GB appointed]
* Brian Grant (term: 2 years - start date: 3/17/2018) [TOC appointed]
* Benjamin Hindman (term: 3 years - start date: 1/29/2016) [GB appointed]
* Quinton Hoole (term: 1 year - start date: 3/17/2018) [TOC appointed]
* Sam Lambert (term: 16 months - start date: 10/2/2017) [enduser appointed]
* Ken Owens (term: 3 years - start date: 1/29/2016) [GB appointed]
* Alexis Richardson (term: 3 years - start date: 1/29/2016) [GB appointed]

On 1/29/2019, the other 6 TOC positions are up for re-election by the GB. The charter requires that the initial appointments have been for 3 years (which they were), but to use staggered, 2-year terms going forward. We propose that half of the positions get a 1-year term in just that cycle (by drawing straws), so that each year afterwards, 3 of the 6 will be reappointed or replaced.

**Schedule**

*All terms are two years unless otherwise specified. Selected means reappointed or replaced.*

* 3/17/2018 (and each future even year): The TOC selects its chairperson.
* 1/29/2019: 6 GB-selected TOC members are selected, half for 1-year terms.
* 1/29/2019 (and each future odd year): End User TOC member is selected.
* 3/17/2019 (and each future year): 1 TOC-selected TOC member is selected.
* 1/29/2020 (and each future year): 3 GB-selected TOC members are selected.

**Voting Process**

The following is the default timeline for TOC selections to use. The times can be adjusted to avoid weekends and holidays, but it’s essential that the final schedule be published in advance and adhered to. Eligible voters are specified publicly during the nomination process. Voting occurs by a time-limited Condorcet ranking in [CIVS](http://civs.cs.cornell.edu/).

* Call for nominations: Noon PT, E-16 days
* End of call for nominations: Noon PT, E-9 days
* A ballot will be distributed on: E-7 days
* The election will be completed on: Noon PT, E-day and election results are announced

**Vacancies**

Any vacancies will be filled by using the original selection method for that seat and the replacement will serve the remainder of the original term.
